For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verkehrssicherung

Die Endpunkte dieser Endpunktberechtigung finden Sie im Controller "SafetyInsepction" verfügbar

Abfragen zur Verkehrssicherung können in den Objektdaten vorgenommen werden.

Neue Verkehrssicherung anlegen

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringErforderlich
Body
LandIdinteger · int32 · nullableOptional
BuildingIdinteger · int32 · nullableOptional
EconomicUnitIdinteger · int32 · nullableOptional
InspectionDatestring · dateOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
InspectionPeriodFromstring · date-timeOptional
InspectionPeriodTostring · date-time · nullableOptional
AuditorPersonIdinteger · int32 · nullableOptional
ProtocolFileIdinteger · int32 · nullableOptional
Descriptionstring · nullableOptional
IdNumstring · nullableOptional
Antworten
201

Created

Idinteger · int32Optional
IdNumstring · nullableOptional
post/openwowi/v1.2/SafetyInspectionEdit/SafetyInspection
POST /openwowi/v1.2/SafetyInspectionEdit/SafetyInspection?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 249

{
  "LandId": 1,
  "BuildingId": 1,
  "EconomicUnitId": 1,
  "InspectionDate": "2026-10-15",
  "InspectionPeriodFrom": "2026-01-01T00:00:00.000Z",
  "InspectionPeriodTo": "2026-01-01T00:00:00.000Z",
  "AuditorPersonId": 1,
  "ProtocolFileId": 1,
  "Description": "text",
  "IdNum": "text"
}
{
  "Id": 1,
  "IdNum": "text"
}

Verkehrssicherung bearbeiten

Version 1.2


put
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
safetyInspectionIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringErforderlich
Body
LandIdinteger · int32 · nullableOptional
BuildingIdinteger · int32 · nullableOptional
EconomicUnitIdinteger · int32 · nullableOptional
InspectionDatestring · dateOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
InspectionPeriodFromstring · date-timeOptional
InspectionPeriodTostring · date-time · nullableOptional
AuditorPersonIdinteger · int32 · nullableOptional
ProtocolFileIdinteger · int32 · nullableOptional
Descriptionstring · nullableOptional
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
put/openwowi/v1.2/SafetyInspectionEdit/SafetyInspection/{safetyInspectionId}
PUT /openwowi/v1.2/SafetyInspectionEdit/SafetyInspection/{safetyInspectionId}?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 234

{
  "LandId": 1,
  "BuildingId": 1,
  "EconomicUnitId": 1,
  "InspectionDate": "2026-10-15",
  "InspectionPeriodFrom": "2026-01-01T00:00:00.000Z",
  "InspectionPeriodTo": "2026-01-01T00:00:00.000Z",
  "AuditorPersonId": 1,
  "ProtocolFileId": 1,
  "Description": "text"
}
{
  "Id": 1,
  "IdNum": "text"
}

Verkehrssicherung löschen

Version 1.2


delete
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
safetyInspectionIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringErforderlich
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
delete/openwowi/v1.2/SafetyInspectionEdit/SafetyInspection/{safetyInspectionId}
DELETE /openwowi/v1.2/SafetyInspectionEdit/SafetyInspection/{safetyInspectionId}?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "Id": 1,
  "IdNum": "text"
}

Verkehrssicherung Ergebnis anlegen

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
safetyInspectionIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
IdNumstring · nullableOptional
Namestring · nullableOptional
Cataloguestring · nullableOptional
UnavailablebooleanOptional
IsOperativebooleanOptional
InImminentDangerbooleanOptional
CommissionIdinteger · int32 · nullableOptional
Commentstring · nullableOptional
Antworten
201

Created

integer · int32Optional
post/openwowi/v1.2/SafetyInspectionEdit/SafetyInspection/{safetyInspectionId}/Result
POST /openwowi/v1.2/SafetyInspectionEdit/SafetyInspection/{safetyInspectionId}/Result HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 145

{
  "IdNum": "text",
  "Name": "text",
  "Catalogue": "text",
  "Unavailable": true,
  "IsOperative": true,
  "InImminentDanger": true,
  "CommissionId": 1,
  "Comment": "text"
}
1

Verkehrssicherung Ergebnis bearbeiten

Version 1.2


put
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
safetyInspectionIdinteger · int32Erforderlich
safetyInspectionResultIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
IdNumstring · nullableOptional
Namestring · nullableOptional
Cataloguestring · nullableOptional
UnavailablebooleanOptional
IsOperativebooleanOptional
InImminentDangerbooleanOptional
CommissionIdinteger · int32 · nullableOptional
Commentstring · nullableOptional
Antworten
200

OK

integer · int32Optional
put/openwowi/v1.2/SafetyInspectionEdit/SafetyInspection/{safetyInspectionId}/Result/{safetyInspectionResultId}
PUT /openwowi/v1.2/SafetyInspectionEdit/SafetyInspection/{safetyInspectionId}/Result/{safetyInspectionResultId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 145

{
  "IdNum": "text",
  "Name": "text",
  "Catalogue": "text",
  "Unavailable": true,
  "IsOperative": true,
  "InImminentDanger": true,
  "CommissionId": 1,
  "Comment": "text"
}
1

Verkehrssicherung Ergebnis löschen

Version 1.2


delete
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
safetyInspectionIdinteger · int32Erforderlich
safetyInspectionResultIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

integer · int32Optional
delete/openwowi/v1.2/SafetyInspectionEdit/SafetyInspection/{safetyInspectionId}/Result/{safetyInspectionResultId}
DELETE /openwowi/v1.2/SafetyInspectionEdit/SafetyInspection/{safetyInspectionId}/Result/{safetyInspectionResultId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
1

Zuletzt aktualisiert